.TH wxMenuEvent 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxMenuEvent \- See external documentation: wxMenuEvent\&.
.SH DESCRIPTION
.LP
See external documentation: wxMenuEvent <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenuevent\&.html>\&. 
.RS 2
.TP 4
.B
Use wxEvtHandler:connect/3 with EventType::
\fImenu_open\fR, \fImenu_close\fR, \fImenu_highlight\fR
.RE
.LP
See also the message variant #wxMenu{} event record type\&.
.LP
This class is derived (and can use functions) from: 
.br
wxEvent 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxMenuEvent()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
getMenu(This::wxMenuEvent()) -> wxMenu() (see module wxMenu)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenuevent\&.html#wxmenueventgetmenu>\&.
.RE
.LP
.B
getMenuId(This::wxMenuEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenuevent\&.html#wxmenueventgetmenuid>\&.
.RE
.LP
.B
isPopup(This::wxMenuEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenuevent\&.html#wxmenueventispopup>\&.
.RE
